<template>
  <v-card>
    <v-card-title>Topmarkotop</v-card-title>
    <v-row v-if="render">
      <v-col>
        <apexchart
          type="donut"
          :options="chartOptions"
          :series="series"
        ></apexchart>
      </v-col>
    </v-row>
    <p class="pa-4  mt-6 text-grey-sm">Chart documments :
      <a href="https://apexcharts.com/" target="_blank"> https://apexcharts.com/ </a><br />
      Respon API harus disamakan dengan series apexchart
    </p>
  </v-card>
</template>

<script>
import VueApexCharts from "vue-apexcharts";
export default {
  name: "ChartViewDashboard",
  components: {
    apexchart: VueApexCharts
  },
  data() {
    return {
      render: false,
      series: [44, 55, 41, 17, 15],
      chartOptions: {
        chart: {
          type: "donut"
        },
        legend: {
          show: true,
          fontSize: "15px",
          position: "bottom"
        },
        responsive: [
          {
            breakpoint: 480,
            options: {
              chart: {
                width: 200
              },
              legend: {
                position: "bottom"
              }
            }
          }
        ]
      }
    };
  },
  created() {
    setTimeout(() => {
      this.render = true;
    }, 500);
  }
};
</script>
